<?php
namespace Concrete\Package\EditorPermissions\Html;

use HtmlObject\Element;

class PermissionGroup
{
    /**
     * @param array $groups
     *
     * @return string
     */
    public static function getGroupsHtml(array $groups)
    {
        $ret = '';
        foreach ($groups as $group) {
            $ret .= static::getGroupHtml($group) . ' ';
        }

        return $ret;
    }

    /**
     * @param Group $group
     *
     * @return Element|string
     */
    public static function getGroupHtml($group)
    {
        $ret = '';
        if (is_object($group)) {
            $ret = Element::create('span', $group->getGroupName(), ['class' => "label label-default"]);
        }

        return $ret;
    }
}
