<?php defined('C5_EXECUTE') or die('Access Denied.');

/* @var Concrete\Core\Validation\CSRF\Token $token */
/* @var Concrete\Core\Form\Service\Form $form */
/* @var Concrete\Core\Page\View\PageView $view */
/* @var Concrete\Core\User\Group\Group $g */
?>
<div class="ccm-ui">
    <form data-dialog-form="add" method="post" action="<?php echo $view->action('add'); ?>">
        <?php $token->output('add'); ?>
        <?php echo $form->hidden('plugin', $key); ?>
        <?php foreach ($groupList as $g):
            $checked = isset($checkedList[$g->getGroupID()]);
            ?>
            <label>
                <?php echo $form->checkbox('groups[]', $g->getGroupID(), $checked); ?> <?php echo $g->getGroupName(); ?>
            </label>
            <br>
        <?php endforeach; ?>
    </form>

    <div class="dialog-buttons">
        <button class="btn btn-default pull-left" data-dialog-action="cancel"><?php echo t('Cancel'); ?></button>
        <button type="button" data-dialog-action="submit" class="btn pull-right"><?php echo t('Save'); ?></button>
    </div>

</div>
<script type="text/javascript">
    $(function() {
        ConcreteEvent.unsubscribe('AjaxFormSubmitSuccess');
        ConcreteEvent.subscribe('AjaxFormSubmitSuccess', function(e, data) {
            ConcreteToolbar.disableDirectExit();
            $('#groups<?php echo $key; ?>').html(data.response.result?data.response.result:'');
        });
    });
</script>

